﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace igGrid_Sample_MVC5.Models
{
    public class Product
    {
        public int ProductID { get; set; }
		[Display(Name = "Name 1")]
        public string Name { get; set; }
        public string ProductNumber { get; set; }
        public DateTime ReleaseDate { get; set; }
        public IEnumerable<ProductDetail> ProductDetails { get; set; }
		public static IEnumerable<Product> GetProductData(int count)
        {
            List<Product> products = new List<Product>();
            for (int i = 0; i < count; i++)
            {
                List<ProductDetail> productDetails = new List<ProductDetail>();
                for (int j = 0; j < count; j++)
                {
                    productDetails.Add(new ProductDetail() { ProductDetailID = j, Name = "ProductDetail" + j });
                }
                products.Add(new Product() { ProductID = i, Name = "Product " + i.ToString(), ProductNumber = i.ToString(), ReleaseDate = DateTime.Now.AddDays(i), ProductDetails = productDetails });
            }
            return products;
        }
    }

    public class ProductDetail
    {
        public int ProductDetailID { get; set; }
        public string Name { get; set; }
    }
}